android 更新最新环信版本问题

我们项目是基于2.2.1的 sdk 去做聊天功能的 现在已经上线了
然后 昨天抓到了 1000多次 这个bug
java.lang.NullPointerException at com.easemob.chat.core.l.c(Unknown Source) at com.easemob.chat.core.n.i(Unknown Source) at com.easemob.chat.core.j.f(Unknown Source) at com.easemob.chat.core.EMConnectionManager.connect(Unknown Source) at com.easemob.chat.core.EMConnectionManager.connectSync(Unknown Source) at com.easemob.chat.core.EMConnectionManager.reconnectSync(Unknown Source) at com.easemob.chat.core.EMConnectionManager$3.run(Unknown Source)
 
http://www.imgeek.org/question/3991  
就是这个问题 
然后环信的工程师大大说 升级到2.2.3 就好了
 
那么问题来了
 
1.  这个bug 是否会引起crash? 还是只是一个单纯的异常 不会引起崩溃
2. 从2.2.1 升级到2.2.3 需要做什么操作?
现在我已经把lib 和jar 替换了 
代码层面 只有一句报错
EMChatManager.getInstance().loadAllLocalGroups();  
这个到没有影响 我们也没使用 群功能 我把这句屏蔽了就好了
那么其他还有什么特别需要注意的么??
 
 
 
共1个回复

环信技术支持中心

2015-09-29 11:32

空指针异常要是demo层面的肯定会引起崩溃,你这个显示不是demo层面的,是不是会程序崩溃就要看逻辑处理了, 不知道界面操作你们能不能复现这个异常,建议还是升级吧,升级的话不要只是换jar包,把sdk相关的库文件都换了。
点击此处继续提问与开发者们互动

申请试用

提交后工作人员会尽快与您联系进行功能演示
技术咨询已转移到管理后台,请先登录

即时通讯云使用者请在应用详情页面咨询
客服云使用者请进入管理员模式咨询

×

400电话

商务咨询

技术咨询

免费试用